spf-engine (2.9.2-0+deb10u1) buster; urgency=medium

  * New upstream bugfix release:
  * Improve documentation based on user feedbacK:
    Add mention in policyd-spf.conf (5) in the TestOnly entry that to get both
    TestOnly behavior and no header field appended, Header_Type = None also
    needs to be set (LP: #1849994)
  * Fix priviledge managment at startup so Unix sockets work:
    Milter: Move drop_privileges before Milter.runmilter and delete
    own_socketfile so that the milter interface runs as the correct user
    without race conditions about changing ownership of the socket file when
    it hasn't been created yet (When the milter is started, it will create the
    socket based on uMask, so we don't need to manually change it)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Jan 2020 11:41:17 -0500

spf-engine (2.9.1-0+deb10u1) buster; urgency=medium

  * New upstream bugfix release
  * Put upstream provided init file where dh_installinit expects to find it
    so it is properly registered on install
  * Update debian/watch so limit itself to version 2.9.x updates for buster
  * Update debian/patches/0001-install-conf-fix.patch for missed change needed
    in sysv init

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Oct 2019 19:04:55 -0400

spf-engine (2.9.0-4) unstable; urgency=medium

  * Fix missing depends on python3-pkg-resources:
    - For postfix-policyd-spf-python (Closes: #928487)
    - For pyspf-milter (Closes: #928488)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 05 May 2019 18:07:33 -0400

spf-engine (2.9.0-3) unstable; urgency=medium

  * Install pyspf-milter config file in /etc/pyspf-milter/pyspf-milter.conf
    and update the service file so it is used (Closes: #926752)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Apr 2019 00:28:09 -0400

spf-engine (2.9.0-2) unstable; urgency=high

  * Add Breaks/Replaces for python3-spf-engine to fix upgrade issues (Closes:
    #921476)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Feb 2019 19:04:23 -0500

spf-engine (2.9.0-1) unstable; urgency=medium

  * New upstream release
  * Add new binary package pyspf-milter to support the new milter interface
  * Add new binary package for python3-spf-engine for the common code
  * Refactor debian/rules, etc for multiple binary package
  * Update debian/copyright
  * Bump standards-version to 4.3.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 01 Feb 2019 21:04:51 -0500

spf-engine (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field

  [ Scott Kitterman ]
  * Rename source to match new upstream name, update:
    - debian/watch
    - debian/control: source name, homepage, Vcs-*
    - debian/changelog
  * New upstream release
  * Rebase and restructure patches for new file layout
  * Add build-depends on python3-setuptools
  * Bump standards-version to 4.1.4 without further change
  * Switch to source format 3 vice quilt patches
  * Use pybuild for build system
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Jun 2018 21:04:54 -0400

pypolicyd-spf (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to use secure URI
  * Update Vcs-Browser to use secure URI
  * Bump standards-version to 4.1.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Dec 2017 14:43:33 -0500

pypolicyd-spf (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Add lintian override for spelling-error-in-readme-debian since the check
    is wrong in this case, but it isn't something lintian can reliably fix

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Dec 2016 00:04:12 -0500

pypolicyd-spf (2.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #808847, #816850)
  * Update compat and debhelper version to 9 without further change
  * Bump standards-version to 3.9.8 without further change
  * Fix postinst adduser invocation to properly deal with /home
  * Correct name of installed logcheck file (Closes: #807543)
  * Refresh patches
  * Explicitly add dh-python to build-depends

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Dec 2016 01:28:16 -0500

pypolicyd-spf (1.3.2-1) unstable; urgency=medium

  * New upstream release
    - Multiple bug fixes (See CHANGES for details)
    - Update debian/copyright
    - Refresh patches
  * Rename logcheck file so it gets used (Closes: #751137)
  * Promote python3-authres from Suggests to Depends (Closes: #794307)
  * Drop unneeded dh_usrlocal override
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Aug 2015 23:22:34 -0400

pypolicyd-spf (1.3.1-1) unstable; urgency=medium

  * Fix crashes caused by non-ascii characters in email addresses and lack
    of input validation (LP: #1325579)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Jun 2014 02:24:50 -0400

pypolicyd-spf (1.3-1) unstable; urgency=medium

  * New upstream release
    - Updated to support RFC 7208
    - New configuration parameter to adjust DNS timeout delay, Lookup_Time
      (Closes: #747349)
    - When used witn pyspf 2.0.9 meets all RFC 7208 requirements (set minimum
      python3-spf version)
    - Refreshed patches
  * Updated package description
  * Bump standards version to 3.9.5 without further change
  * Update debian/README.Debian to match current user name and file
    locations (Closes: #741516)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 May 2014 02:08:19 -0400

pypolicyd-spf (1.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix a typo in README.source.

  [ Scott Kitterman ]
  * New upstream release
    - Bump minimum python3 version to 3.3 for ipaddress
    - Refreshed patches

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Jul 2013 15:15:14 -0400

pypolicyd-spf (1.1.2-1) unstable; urgency=low

  * New upstream release
    - Makes upstream documentation Python3 compatible
  * Update README.Debian to be Python3 compatible and match upstream
    documentation
  * Add NEWS.Debian with postfix configuration changes needed to work with
    the new version

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 May 2013 13:26:12 -0400

pypolicyd-spf (1.1-3) unstable; urgency=low

  * Upload to unstable

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * Bump standards version to 3.9.4
    - Bump minimum debhelper version to 8.1.0
    - Set compat to 8

 -- Scott Kitterman <scott@kitterman.com>  Thu, 09 May 2013 00:14:21 -0400

pypolicyd-spf (1.1-2) experimental; urgency=low

  * Simplify debian/rules to build using python3 to avoid distutils shebang
    rewriting

 -- Scott Kitterman <scott@kitterman.com>  Thu, 02 Aug 2012 17:03:48 -0400

pypolicyd-spf (1.1-1) experimental; urgency=low

  * New upstream release
    - Ported to Python 3
    - Update build-depends/depends/suggests and build --with python3
    - Override override_dh_auto_build, auto_install, and auto_clean since
      debhelper doesn't know about python3 distutils
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Jul 2012 21:45:30 -0400

pypolicyd-spf (1.0-2) unstable; urgency=low

  * Move logcheck rules out of subdirectory (Closes: #675789)
    - Install as postfix-policyd-spf-python.logcheck
  * Fix debian watch to work with Launchpad again

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Jun 2012 01:04:16 -0400

pypolicyd-spf (1.0-1) unstable; urgency=low

  * New upstream release
    - Refreshed patch
  * Bumped standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Mar 2012 00:33:00 -0400

pypolicyd-spf (0.9-1) unstable; urgency=low

  * New upstream release
    - Update debian/copyright for licensing changes
    - Update debian/patches/install-conf-fix.patch for new release
    - Add Suggests: python-authres for support for optional RFC 5451
      Authentication-Results header support
  * Stop installing two copies of upstream changelog (CHANGES)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Jan 2012 22:50:51 -0500

pypolicyd-spf (0.8.1-2) unstable; urgency=low

  * Rebuild for python transition
  * Drop ancient version requirements for python-spf and postfix depends
  * Bump Standards-Version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 19 Apr 2011 23:47:33 -0400

pypolicyd-spf (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1 without further change
  * Update for recent Python policy changes:
    - Change XS-Python-Version X-Python-Version and bump minimum python
      version to 2.6.5-13~
    - Drop XB-Python-Version

 -- Scott Kitterman <scott@kitterman.com>  Sat, 27 Nov 2010 23:22:23 -0500

pypolicyd-spf (0.8.0-2) unstable; urgency=low

  * Convert from CDBS to Debhelper 7
    - Port debian/rules to DH 7 --with quilt plus overrides
    - Drop cdbs from build-depends
    - Add quilt to build-depends
    - Update debian/README.source
    - Bump debhelper version requirement
    - Change compat to 7
    - Remove cdbs generated pycompat
  * Convert from python-central to dh_python2
    - Drop build-depends on python-central
    - Version build-depend on python (>- 2.6.5.-2~)
    - Add --with python2 to debian/rules
  * Drop obsolete Conflicts/Provides/Replaces: python-policyd-spf
  * Drop obsolete debian/postfix-policyd-spf-python.postrm/preinst
  * Fix XB-Python-Version
  * Bump standards version to 3.8.4 without further change
  * Drop DM-Upload-Allowed

 -- Scott Kitterman <scott@kitterman.com>  Fri, 25 Jun 2010 14:41:35 -0400

pypolicyd-spf (0.8.0-1) unstable; urgency=low

  * New upstream release
    - Updated Debian config patch
  * Update debian/copyright for new year
  * Correct XS/XB-Python-Version to be >= 2.4
  * Build-dep on python-all instead of python
  * Correct short description - the package is not a daemon

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Feb 2010 19:12:38 -0500

pypolicyd-spf (0.7.3-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Scott Kitterman ]
  * New upstream release
    - Works with Python 2.4 now
  * debian/control
    - Update homepage for new upstream location
    - Update XS/XB-Python-Version due to deprecation of current
    - Improve package description
  * Add upstream changelog (CHANGES) to postfix-policyd-spf-python.docs
  * Update debian/watch for the new upstream location

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Jan 2010 01:23:58 -0500

pypolicyd-spf (0.7.2-1) unstable; urgency=low

  * New upstream release
    - Fix crash on missing "@" in mail from (closes: #551714)
    - Fix man page type (closes: #517119)
  * Add logcheck filter (closes: #499503)
  * Add ${misc:Depends} to debian/control
  * Bump standards version to 3.8.3 without further change
  * Use proper © symbol in debian/changelog
  * Set -e in all maintainer scripts

 -- Scott Kitterman <scott@kitterman.com>  Thu, 12 Nov 2009 23:55:03 -0500

pypolicyd-spf (0.7.1-1) unstable; urgency=low

  * New upstream release
    - Documentation updates
    - Freshen install-conf-fix.patch for new release
  * Create and use dedicated user instead of nobody
    - Add postfix-policyd-spf-python.postinst to create user if needed
    - Add depends on adduser

 -- Scott Kitterman <scott@kitterman.com>  Sat, 26 Jul 2008 00:14:50 -0400

pypolicyd-spf (0.7-1) unstable; urgency=low

  * New upstream release
    - Added receiver policy options to reject softfail and neutral SPF
      messages
    - Use minimal configuration file by default and provide additional
      fully commented config file
  * Correct README.Debian directory names (thanks to Carlos Pasqualini
    for noticing and letting me know)
  * Freshen debian/patches/install-conf-fix.patch
  * Install new policyd-spf.conf.commented file with docs
  * Bump standards version to 3.8.0 and add README.source
  * Switch to python-central
    - Add XS/XB-Python-Version: current to debian/control
    - Update build-dep and debian/rules
    - Remove debian/pyversions

 -- Scott Kitterman <scott@kitterman.com>  Sun, 22 Jun 2008 17:55:18 -0400

pypolicyd-spf (0.6.1-1) unstable; urgency=low

  [ Scott Kitterman ]
  * New upstream release
    - Fix crash if HELO checking is disabled

  [ Piotr Ożarowski ]
  * Add DM-Upload-Allowed: yes

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Apr 2008 01:58:32 -0400

pypolicyd-spf (0.6-2) unstable; urgency=low

  * Remove transitional package (rejected by ftp-masters)
  * Rename debian/docs to debian/postfix-policyd-spf-python.docs for
    consistency

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Feb 2008 14:30:12 -0500

pypolicyd-spf (0.6-1) UNRELEASED; urgency=low

  * New upstream release
    - Domain whitelisting fixed
    - IP whitelists with multiple items fixed
    - IPv6 whitelist CIDR length fixed
    - Logging and config file improvements
  * Add transitional package to ease binary package name transition
  * Remove pythonpath.patch (incorporated upstream)
  * Update debian/copyright for 2008
  * Update install-conf-fix.patch for new binary package name
  * Add preinst and prerm to move conffile to correct directory for new
    package name

 -- Scott Kitterman <scott@kitterman.com>  Sat, 23 Feb 2008 00:38:02 -0500

pypolicyd-spf (0.5.2-3) unstable; urgency=low

  * Remove unneeded reference to debian/README.Debian and README in
    debian/docs
  * Change postfix from recommends to depends
  * Rename binary postfix-policyd-spf-python for clarity - add provides,
    conflicts, replaces python-policyd-spf
  * Bump standards version to 3.7.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 08 Jan 2008 16:59:39 -0500

pypolicyd-spf (0.5.2-2) unstable; urgency=low

  * Finish freshening install-conf-fix.patch so that we actually use
    the installed config file

 -- Scott Kitterman <scott@kitterman.com>  Wed, 31 Oct 2007 09:13:34 -0400

pypolicyd-spf (0.5.2-1) unstable; urgency=low

  * New upstream release
    - Fixes permerror processing some more
    - Logging is more consistent
  * Freshen install-conf-fix.patch and pythonpath.patch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 27 Oct 2007 12:56:31 -0400

pypolicyd-spf (0.5.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Scott Kitterman ]
  * New upstream release.
    - Fix per user restriction class filtering to work.
    - Fix reject on SPF Permerror to work.
  * Remove man-page-fixup.patch (incorporated upstream).
  * Changed postfix restart to reload in README.Debian (Thanks John A. Martin)
  * Update install-conf-fix.patch to adjust paths for Debian package in man
    pages.

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Oct 2007 18:36:46 -0400

pypolicyd-spf (0.5-1) unstable; urgency=low

  * New Upstream release
  * Remove unnecessary python provides in debian/control
  * Patch out usr/local PYTHONPATH addition (pythonpath.patch)
  * Freshen install-conf-fix.patch
  * Add debian/pycompat
  * Add Python Applications Packaging Team as Uploaders
  * Add Homepage: field to debian/control
  * Add XS-Vcs-Svn: and XS-Vcs-Browser: fields to debian/control
  * Add debian/pyversions and remove XS/XB-Python-Version from debian/control
  * Add debian/rules to install new upstream man page
  * Add man-page-fixup.patch to quiet lintian
  * Simplify debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Wed, 03 Oct 2007 16:48:12 -0400

pypolicyd-spf (0.4.1-1) unstable; urgency=low

  * Correct multi-recipient reject processing (Closes: #437361)
  * Correct typos in README.Debian (Closes: #434623)
  * Add debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Mon, 13 Aug 2007 11:03:09 -0400

pypolicyd-spf (0.4-3) unstable; urgency=low

  * Correct debian/rules to fix FTBFS (Closes: #434017)
    - Change config file mv to install in debian/rules with correct path.
    - Change dh_installdirs path to relative rather than absolute.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Jul 2007 11:32:58 -0400

pypolicyd-spf (0.4-2) unstable; urgency=low

  * Merge debian/changelog entries from 0.3-1 and 0.4-1

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Jul 2007 23:17:09 -0400

pypolicyd-spf (0.4-1) unstable; urgency=low

  * New upstream release
    - Mutliple receiver policy options controlled by config file
    - SPF Whitelist via config file
    - Many minor changes
  * debian/control - Moved from section Python to Mail
  * debian/rules - Changes to install default config file
  * debian/pycompat - removed
  * debain/README.Debian updated to match upstream changes

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Jul 2007 17:37:13 -0400

pypolicyd-spf (0.3-1) unstable; urgency=low

  * Initial Debian package for Python SPF policy server for Postfix
    (Closes: #419887)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Apr 2007 10:11:36 -0400

